<html>
<body>


<p id=17><b>1. GUI: Drawing objects</b> (done)
<p>Provide tools for placing and editing drawing objects on a sheet
<p>Milestones:<ul>
  <li>wirenet draw/merge
  <li>wirenet del
  <li>wirenet undo
  <li>rectangle (filled/unfilled), polygon
  <li>text (basic implementation)
  <li>arcs and circles
</ul>

<p id=18><b>2. Object attribute access</b> (done)
<p>Provide CLI tools and dialog boxes for accessign drawing object attributes
<p>Milestones:<ul>
  <li>object-specific property dialog boxe for wirenets
  <li>object-specific property dialog boxe for symbols/components
  <li>generic propedit()
  <li>generic query()
  <li>finish the basic menu system

</ul>

<p id=19><b>3. Symbol support</b> (done)
<p>Implement basic support for symbols and build the initial symbol lib
<p>Milestones:<ul>
  <li>symbol lib support (backing code)
  <li>symbol lib dialog
  <li>parametric symbols
  <li>placement GUI, rotate
  <li>symbol lib: basic passives, diodes and leds
  <li>symbol lib: transistors, slotted opamps and comparators
  <li>symbol lib: misc (titlebox, mounting holes, etc)
  <li>symbol lib: basic connectors

</ul>

<p id=20><b>4. File formats</b> (done)
<p>Finish I/O plugins for the two most important file formats
<p>Milestones:<ul>
  <li>lihata sheet (native file format)
  <li>lihata symbol (native file format)
  <li>tEDAx netlist export (portable interface to PCB editors)

</ul>


<p id=21><b>5. Internal mechanisms, part 1</b> (done)
<p>Abstract model compiler and device mapper
<p>Milestones:<ul>
  <li>compiler for nets and components
  <li>implement and test filter-like plugin mechanisms
  <li>implement devmap as a filter-like plugin
  <li>develop a minimal devmap database for testing

</ul>

<p id=22><b>6. Internal mechanisms, part 2</b> (done)
<p>Data model generalism and reuse
<p>Milestones:<ul>
  <li>support multiple sheets (flat multi-page designs)
  <li>buffer operations: copy and paste
  <li>buffer operations: import, export, serialization
  <li>buffer operations: transformations (rotate, mirror)

</ul>


<p id=23><b>7. Automation</b> (back annotation done)
<p>Features used in workflow automation
<p>Milestones:<ul>
  <li>back annotation
  <li>minimal user scripting

</ul>


</body>
</html>
